kind: pipeline
name: Build Image

steps:
  # - name: Lint Check
  #   image: node:21-alpine
  #   commands:
  #     - yarn install
  #     # - yarn lint

  - name: Build Docker Image
    image: plugins/docker
    settings:
      build_args: "API_BASE_URL=https://loopssustainability-api.midastix.com"
      username:
        from_secret: docker_username
      password:
        from_secret: docker_password
      repo: git.midastix.com/ci-docker-repo-user/loopssustainability
      registry: git.midastix.com
    when:
      branch:
        - main
      event:
        - push

  - name: Deploy image
    image: appleboy/drone-ssh
    settings:
      host: loopssustainability.midastix.com
      username: loopssustainability
      key:
        from_secret: server_ssh_pkey
      port: 22
      command_timeout: 3m
      script:
        - echo "Deploying image"
        - sudo /opt/deployable/loopssustainability/docker/deploy.sh
        - echo "Completed Deployment"
    when:
      branch:
        - main
      event:
        - push
# trigger:
#   branch:
#     - main
#     - feature/env_api_url
#   event:
#     - push
